<?php
include 'config';


$curl = curl_init();


$order_amount =10;
$order_note = 'Hello to all ';

$customer_details_arr = array(
    'customer_id'=>12345, 
    'customer_email'=>'user@example.com', 
    'customer_phone'=>'7697632354', 
);
    
$order_arr  = array(
    'customer_details'=>$customer_details_arr,
    'order_amount'=>$order_amount,
    'order_currency'=>'INR',
    'order_note'=>$order_note,
);

$data = json_encode($order_arr);

curl_setopt_array($curl, [
  CURLOPT_URL => "https://sandbox.cashfree.com/pg/orders",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => "{\"customer_details\":{\"customer_id\":\"12345\",\"customer_email\":\"test@cashfree.com\",\"customer_phone\":\"9908734801\"},\"order_amount\":4,\"order_currency\":\"INR\",\"order_note\":\"test order\"}",
  CURLOPT_HTTPHEADER => [
    "Accept: application/json",
    "Content-Type: application/json",
    "x-api-version: 2022-01-01",
    "x-client-id: 1300397164a13edb011509754a930031",
     "x-client-secret: 8dc0c792b2cce80845c83dc9cbf5e2b9af24e0c0"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
//   header('Content-Type: application/json; charset=utf-8');
//   echo json_encode(array("error" => 1));
//   echo "cURL Error #:" . $err;
//   die();
?>
    <script type="text/javascript">
    
    var cancel_url = '<?php echo $cancel_url; ?>';
    var error_msg = 'error on stripe';
    setTimeout(function() {
        window.location.href=cancel_url+'?error='+error_msg;
    }, 1000);
    </script>
<?php

} else {
   $result = json_decode($response, true);
//   header('Content-Type: application/json; charset=utf-8');
//   $output = array("order_token" => $result["order_token"]);
//   echo json_encode($output);
//   die();

 ?>
<script type="text/javascript">
    var return_url_final = 'card_payment.php';
    var order_token = '<?php echo $result["order_token"]; ?>';
    setTimeout(function() {
        window.location.href=return_url_final+'?order_token='+order_token;
    }, 1000);
</script>
<?php
            
            
}
?>